Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601645 - RFE: option to run ISO from nautilus
RFE: option to run ISO from nautilus
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 07:52 EDT by Michael Monreal
Modified: 2013-08-17 10:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 10:06:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2010-06-08 07:52:37 EDT
Currently, if you right-click .iso files in nautilus, you get the options to open them with archive mounter, archive manager or brasero, so you can browse or burn the image.

It would be very nice if Virt-Manager was listed. If selected, a dialog similar to the current "new vm" dialog would pop up. Basicly, all the options of 'new vm' should be there, plus the option to not actually save this VM configuration for the cases where you just want to boot the live cd once.

The nautilus integration itself would be as simple as providing a .desktop file like this:

[Desktop Entry]
Encoding=UTF-8
Name=Virtual Machine Manager
Exec=virt-manager --iso=%u
MimeType=application/x-cd-image;
Terminal=false
Type=Application
NoDisplay=true
Comment 1 Bug Zapper 2011-06-02 07:36:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 12:54:16 EDT
Still relevant, moving to F15
Comment 3 Cole Robinson 2012-01-18 11:54:45 EST
Moving to upstream tracker
Comment 4 Cole Robinson 2013-08-17 10:06:36 EDT
Boxes handles this sort of tight desktop integration nowadays, so closing as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.